//
//  ViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón on 19/04/15.
//  Copyright (c) 2015 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController, CoffeeSelectorViewControllerDelegate, CookieSelectorViewControllerDelegate {

    var myCoffee = ""
    var myCookie = ""
    
    @IBOutlet weak var coffeeButton: UIButton!
    @IBOutlet weak var cookieButton: UIButton!
    

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {

        if let identifier = segue.identifier {
            switch identifier {
            case "Select Coffee":
                if let vc = segue.destination as? CoffeeSelectorViewController {
                    vc.currentCoffee = myCoffee
                    vc.delegate = self
                }
            case "Select Cookie":
                if let vc = segue.destination as? CookieSelectorViewController {
                    vc.currentCookie = myCookie
                    vc.delegate = self
                }
            default:
                break
            }
        }
    }

     // MARK: CoffeeSelectorViewControllerDelegate
    
    func coffeeSelectionWasCancelled(in csvc: CoffeeSelectorViewController) {
        
        dismiss(animated: true)
    }
    
    
    func coffeeSelectorViewController(_ csvc: CoffeeSelectorViewController, prefers coffee: String) {
        
        myCoffee = coffee
        setTitle(myCoffee, for: coffeeButton)
        dismiss(animated: true)
    }
    
    
    // MARK: CookieSelectorViewControllerDelegate
    
    func cookieSelectionWasCancelled(in cscv: CookieSelectorViewController) {
        
        dismiss(animated: true)
    }
    
    
    func cookieSelectorViewController(_ csvc: CookieSelectorViewController, prefers cookie: String) {
        
        myCookie = cookie
        setTitle(myCookie, for: cookieButton)
        dismiss(animated: true)
    }
    
    // MARK: Utilidades
    
    private func setTitle(_ title: String, for button: UIButton) {
        button.setTitle(title == "" ? "Elegir" : "I 😍 \(title)", for: .normal)
    }
}

